Skip to main content
`Ctrl`+`K`

# scipy.linalg.lapack.ztgexc

scipy.linalg.lapack.ztgexc(a, b, q, z, ifst, ilst[, wantq, wantz, overwrite_a, overwrite_b, overwrite_q, overwrite_z]) = <fortran function ztgexc>

  Wrapper for `ztgexc`.

  Parameters:
    a input rank-2 array(‘D’) with bounds (lda,n)
    b input rank-2 array(‘D’) with bounds (ldb,n)
    q input rank-2 array(‘D’) with bounds (ldq,n)
    z input rank-2 array(‘D’) with bounds (ldz,n)
    ifst input int
    ilst input int
  Returns:
    a rank-2 array(‘D’) with bounds (lda,n)
    b rank-2 array(‘D’) with bounds (ldb,n)
    q rank-2 array(‘D’) with bounds (ldq,n)
    z rank-2 array(‘D’) with bounds (ldz,n)
    info int
  Other Parameters:
    wantq input int, optional

      Default: 1

    wantz input int, optional

      Default: 1

    overwrite_a input int, optional

      Default: 0

    overwrite_b input int, optional

      Default: 0

    overwrite_q input int, optional

      Default: 0

    overwrite_z input int, optional

      Default: 0